#!/bin/sh

#   Licensed Materials - Property of IBM
#   Rational ClearQuest and ClearCase
#   (C) Copyright IBM Corporation. 2005, 2008. All Rights Reserved
#   US Government Users Restricted Rights -
#   Use, duplication or disclosure restricted by GSA ADP Schedule
#   Contract with IBM Corporation

# Need subs in ratl_eWAS
ewas_home=/opt/rational/common/eWAS
cm_home=/opt/rational/common/CM
ret=0

# Assume success to begin with
# Ensure an approriate path
PATH=/bin:/usr/bin:/sbin:/usr/sbin

case $1 in
stop_msg)
    echo "Shutting down profile"
    ;;

*profile )
    # This must be run as root, since IHS/Apache started as root
    if [ -f "/tmp/rwptempfile" ] ; then
        rm -f /tmp/rwptempfile
    fi
    if [ -f "/tmp/ewastempfile" ] ; then
        rm -f /tmp/ewastempfile
    fi
    id > /tmp/ewastempfile
    ROOT=`grep "uid=0(root)" /tmp/ewastempfile`
    if [ "x$ROOT" != "x" ] ; then
        root=1
        rm -f /tmp/ewastempfile
    else
        echo "you must run this script as root"
        rm -f /tmp/ewastempfile
        exit 1
    fi

    # check if profile is already running:
    sleep 5
    ps -ef | grep -v grep | grep eWAS | grep java | grep $1 1>/dev/null
    running=$?
    if [ $running -eq 0 ]; then
        # It is running: stop profile
        echo "Stopping $1 ..."
        $cm_home/profiles/$1/bin/stopServer.sh server1 -profileName $1 > $ewas_home/logs/ewas_stop.log 2>&1
        ret=$?
        
        if [ $ret -eq 0 ]; then
                        echo "$1 stopped successfully"
        else
                        echo "$1 failed to stop"
                        echo "Check log files in $ewas_home/profiles/$1/logs/server1 and/or $ewas_home/logs"
                        ret=1
        fi
    else
        # it wasn't running. Continue anyway...
        echo "$1 is not running"
        ret=0
    fi
    sleep 3
    ;;
*)
    echo "usage: $0 <profile name>"
    ret=1
    ;;
esac

sleep 5
exit $ret
